Bug 1116845 - dnf crashed when executing 'dnf -v repolist all'
dnf crashed when executing 'dnf -v repolist all'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-07 09:01 EDT by Takayuki Ogawa
Modified: 2014-09-30 19:42 EDT (History)
5 users (show)

See Also:
Fixed In Version: hawkey-0.4.18-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-19 02:03:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Takayuki Ogawa 2014-07-07 09:01:25 EDT
Description of problem:
dnf crashed when executing 'dnf -v repolist all'.

Version-Release number of selected component (if applicable):
dnf-0.5.2-1.fc20.noarch

Additional info:
Config time: 0.007
cachedir: /var/cache/dnf/x86_64/20
dnf version: 0.5.2
repo: using cache for: fedora
not found deltainfo for: Fedora 20 - x86_64
repo: using cache for: rpmfusion-free-updates
not found deltainfo for: RPM Fusion for Fedora 20 - Free - Updates
repo: using cache for: adobe-linux-x86_64
not found deltainfo for: Adobe Systems Incorporated
repo: using cache for: rpmfusion-nonfree-updates
not found deltainfo for: RPM Fusion for Fedora 20 - Nonfree - Updates
repo: using cache for: rpmfusion-free
not found deltainfo for: RPM Fusion for Fedora 20 - Free
repo: using cache for: updates
repo: using cache for: rpmfusion-nonfree
not found deltainfo for: RPM Fusion for Fedora 20 - Nonfree
hawkey sack setup time: 0.453
Repo-id      : adobe-linux-x86_64
Repo-name    : Adobe Systems Incorporated
Repo-status  : enabled
Repo-updated : Wed Jun  4 04:01:09 2014
Repo-pkgs    : 2
Repo-size    : 6.9 M
Repo-baseurl : http://linuxdownload.adobe.com/linux/x86_64/
Repo-expire  : 172800 second(s) (last: Sun Jul  6 17:21:07 2014)
Repo-filename: /etc/yum.repos.d/adobe-linux-x86_64.repo

Repo-id      : fedora
Repo-name    : Fedora 20 - x86_64
Repo-status  : enabled
Repo-revision: 1386924430
Repo-tags    : binary-x86_64
Repo-distro-tags: [cpe:/o:fedoraproject:fedora:20]: N, l, l, u
Repo-updated : Fri Dec 13 17:55:41 2013
Repo-pkgs    : 38597
Repo-size    : 38 G
Repo-metalink: https://mirrors.fedoraproject.org/metalink?repo=fedora-20&arch=x86_64
  Updated    : Sun Jul  6 17:20:16 2014
Repo-baseurl : rsync://ftp.jaist.ac.jp/pub/Linux/Fedora/releases/20/Everything/x86_64/os/ (49 more)
Repo-expire  : 604800 second(s) (last: Sun Jul  6 17:20:16 2014)
Repo-filename: /etc/yum.repos.d/fedora.repo

Cleaning up.
Traceback (most recent call last):
  File "/usr/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 206, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 82, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 132, in _main
    cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1163, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/commands/__init__.py", line 638, in run
    last = time.ctime(md.timestamp)
AttributeError: 'NoneType' object has no attribute 'timestamp'
Comment 1 Ales Kozumplik 2014-07-08 04:20:40 EDT
Fixed by a47946b.
Comment 2 Fedora Update System 2014-07-17 02:42:41 EDT
hawkey-0.4.18-2.fc20, dnf-0.5.4-1.fc20, libsolv-0.6.4-0.git2a5c1c4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hawkey-0.4.18-2.fc20,dnf-0.5.4-1.fc20,libsolv-0.6.4-0.git2a5c1c4.fc20
Comment 3 Fedora Update System 2014-07-19 02:03:11 EDT
hawkey-0.4.18-2.fc20, dnf-0.5.4-1.fc20, libsolv-0.6.4-0.git2a5c1c4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.